                                 <!--

var months = new Array("Января", "Февраля", "Марта", "Апреля", "Мая", "Июня", "Июля", "Августа", "Сентября", "Октября", "Ноября", "Декабря");
var defaultEmail = "press@mil.ru";


function initForm(formObj)
{
	var date = new Date();
	formObj["date_day"].value = date.getDate();
	formObj["date_month"].value = months[date.getMonth()].toLowerCase();
	formObj["date_year"].value = date.getFullYear();
	try
	{
		formObj["office_email"].value = getOfficeEmail();
	}
	catch (ex)
	{
		formObj["office_email"].value = defaultEmail;
	}
	formObj["fio"].focus();
}

function getOfficeEmail()
{
	var email = defaultEmail;
	with (window.location) { var url = protocol + "//" + host + "/flash/map.xml"; }
	with (document.referrer) { var page_id = substring(lastIndexOf("../index.html", lastIndexOf("../index.html") - 1) + 1, lastIndexOf("../index.html")); }

	var oXmlHttpReq = null;
	if (window.XMLHttpRequest)
	{
		oXmlHttpReq = new XMLHttpRequest();
		oXmlHttpReq.open("GET", url, false);
		oXmlHttpReq.send(null);
	}
	else if (window.ActiveXObject)
	{
		oXmlHttpReq = new ActiveXObject("Microsoft.XMLHTTP");
		oXmlHttpReq.open("GET", url, false);
		oXmlHttpReq.send();
	}

	if (4 == oXmlHttpReq.readyState && 200 == oXmlHttpReq.status)
	{
		//alert(oXmlHttpReq.responseXML.documentElement.xml);
		var node = oXmlHttpReq.responseXML.documentElement.selectSingleNode(".//zones/zone/point[@page='1930' and @m!='']/@m");
		if (null != node) email = node.value;
	}

	return email;
}

function showPreview(formObj)
{
	if (!checkForm(formObj)) return;

	for (var i = 0; i < formObj.elements.length; i++)
	{
		if ("hidden" != formObj.elements[i].type)
			document.getElementById("pr" + i).innerHTML = formObj.elements[i].value.replace(/</gi, "&lt;").replace(/>/gi, "&gt;");
	}

	document.getElementById("input_zone").style.display = "none";
	document.getElementById("preview_zone").style.display = "block";
}

function showInputs()
{
	document.getElementById("preview_zone").style.display = "none";
	document.getElementById("input_zone").style.display = "block";
}

function checkForm(formObj)
{
	with (formObj)
	{
		for (var i = 0; i < elements.length; i++)
		{
			try
			{
				if ("edu_spec" == elements[i].name || "edu_high" == elements[i].name) continue;
				if (0 == elements[i].value.length)
				{
					alert("Все поля обязательны для заполнения.");
					elements[i].focus();
					return false;
				}
				if ("date_day" == elements[i].name && (isNaN(parseInt(elements[i].value)) || parseInt(elements[i].value) <= 0))
				{
					alert("Не верно указан день месяца.");
					elements[i].focus();
					return false;
				}
				if ("date_year" == elements[i].name && (isNaN(parseInt(elements[i].value)) || parseInt(elements[i].value) <= 0))
				{
					alert("Не верно указан год.");
					elements[i].focus();
					return false;
				}
			}
			catch (ex) {}
		}
	}
	return true;
}

//-->